Bug 480078 - Default layout of notificatioins obscures network details
Default layout of notificatioins obscures network details
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 17:30 EST by Bevis King
Modified: 2009-06-10 07:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 07:04:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bevis King 2009-01-14 17:30:00 EST
Description of problem:
The default layout of the gnome panel notifications in the top right hand corner means that when a laptop resumes after being suspended the drop down information box from the NetworkManager control applet is obscured by the sealert applet.

This means that it's impossible to see whether the NetworkManager reattached to the wiresless network because it is overlaid by the almost inevitable sealert box dropping down from the security badge icon immediately to it's left.

Since the NetworkManager applet is producing valid and useful information while the sealert applet is merely directing you to run setroubleshooter and contains no real information in and of itself, could the position of the two not be swapped such that it is possible to read what the NetworkManager applet has to say.

Alternatively couldn't the "security badge" flash to indicate it wants your attention rather than dropping down a competitive information box when it has no actual information to impart?

Version-Release number of selected component (if applicable):
all recent

How reproducible:
pretty much every time

Steps to Reproduce:
1.  Resume a laptop from suspended state while running GNOME and using a
wirelsss network connection.
  
Actual results:
NetworkManager information dialog box about wireless network status is totally obscured for the entire duration of it's appearance by the sealert warning box which provides no useful information to the user at this point.  It's merely conveying that it is unhappy and wants the user to run setroubleshooter.

Expected results:
The information dialog box about the restoration of network connectivity (or otherwise) is displayed without being obscured or hidden.

Additional info:
Comment 1 Ray Strode [halfline] 2009-01-14 17:36:16 EST
sealert is getting rewritten to be less noisy.
Comment 2 Daniel Walsh 2009-01-15 10:56:50 EST
Beavis could you please attach the setroubleshoot message that you are seeing on reboot, so we can get setroubleshoot to shut up?
Comment 3 Bevis King 2009-02-06 10:28:03 EST
Ummm, the messages have come from at least 20 different unique issues in my tests over the last few weeks, so it's not really very easy to answer this. 

A symptom of the same thing is bug id 473792 (selinux/exim/autofs interactions).
Other issues seem to include Gnome keyring issues for the wireless WEP key access by NetworkManager - that seems to be triggering a SELinux alert too.

Bottom line is that whatever I do, short of absolutely disabling SELinux, messages do occur particularly on start-up and re-awakening from suspend, and the important network availability messages are almost always obscured by some indirect SELinux alert.

The significant issue here is that the SELinux alert is a no-op - it doesn't convey any useful information in and of itself, merely that you need to go run another application to pay attention to the alert.  The NetworkManager window it always manages to obscure is giving potentially vital information about the state of your connectivity in the current environment.

It's a simple matter of priorities - real information that you need to see or indirection to an alert screen that could be just as easily conveyed by a flashing icon.

Regards, Bevis.
Comment 4 Bug Zapper 2009-06-09 23:29:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Daniel Walsh 2009-06-10 07:04:55 EDT
Only one popup will happen in F11, so I am closing this in current release.

Note You need to log in before you can comment on or make changes to this bug.